## debhelper 7.0.13ubuntu1netbook0natick2

=== Makefile ===
# This generates a list of synopses of debhelper commands, and substitutes
# it in to the #LIST# line on the man page fed to it on stdin. Must be passed
# parameters of all the executables or pod files to get the synopses from.
# For correct conversion of pod tags (like S< >) #LIST# must be substituted in
# the pod file and not in the troff file.
MAKEMANLIST=perl -e ' \
		undef $$/; \
		foreach (@ARGV) { \
		        open (IN, $$_) or die "$$_: $$!"; \
		        $$file=<IN>; \
		        close IN; \
		        if ($$file=~m/=head1 .*?\n\n(.*?) - (.*?)\n\n/s) { \
		                $$collect.="=item $$1(1)\n\n$$2\n\n"; \
		        } \
		} \
		END { \
			while (<STDIN>) { \
		        	s/\#LIST\#/$$collect/; \
				print; \
			}; \
		}'

# Figure out the `current debhelper version.
VERSION=$(shell expr "`dpkg-parsechangelog |grep Version:`" : '.*Version: \(.*\)')

PERLLIBDIR=$(shell perl -MConfig -e 'print $$Config{vendorlib}')/Debian/Debhelper

POD2MAN=pod2man -c Debhelper -r "$(VERSION)"

# l10n to be built is determined from .po files
LANGS=$(notdir $(basename $(wildcard man/po4a/po/*.po)))

build: version
	find . -maxdepth 1 -type f -perm +100 -name "dh*" \
		-exec $(POD2MAN) {} {}.1 \;
	cat debhelper.pod | \
		$(MAKEMANLIST) `find . -maxdepth 1 -type f -perm +100 -name "dh_*" | sort` | \
		$(POD2MAN) --name="debhelper" --section=7  > debhelper.7
	po4a man/po4a/po4a.cfg 
	set -e; \
	for lang in $(LANGS); do \
		dir=man/$$lang; \
		for file in $$dir/dh*.pod; do \
			prog=`basename $$file | sed 's/.pod//'`; \
			$(POD2MAN) $$file $$prog.$$lang.1; \
		done; \
		cat $$dir/debhelper.pod | \
			$(MAKEMANLIST) `find $$dir -type f -maxdepth 1 -name "dh_*.pod" | sort` | \
			$(POD2MAN) --name="debhelper" --section=7 > debhelper.$$lang.7; \
	done

version:
	printf "package Debian::Debhelper::Dh_Version;\n\$$version='$(VERSION)';\n1" > \
		Debian/Debhelper/Dh_Version.pm

clean:
	rm -f *.1 *.7 Debian/Debhelper/Dh_Version.pm
	po4a --rm-translations --rm-backups man/po4a/po4a.cfg
	for lang in $(LANGS); do \
		if [ -e man/$$lang ]; then rmdir man/$$lang; fi; \
	done;

install:
	install -d $(DESTDIR)/usr/bin \
		$(DESTDIR)/usr/share/debhelper/autoscripts \
		$(DESTDIR)$(PERLLIBDIR)/Sequence
	install $(shell find -maxdepth 1 -mindepth 1 -name dh\* |grep -v \.1\$$) $(DESTDIR)/usr/bin
	install -m 0644 autoscripts/* $(DESTDIR)/usr/share/debhelper/autoscripts
	install -m 0644 Debian/Debhelper/*.pm $(DESTDIR)$(PERLLIBDIR)
	install -m 0644 Debian/Debhelper/Sequence/*.pm $(DESTDIR)$(PERLLIBDIR)/Sequence

test: version
	./run perl -MTest::Harness -e 'runtests grep { ! /CVS/ && ! /\.svn/ } @ARGV' t/*
	# clean up log etc
	./run dh_clean

## debhelper 0.55bo1

=== debhelper-0.55/debian/changelog ===
debhelper (0.55) unstable; urgency=low

  * dh_clean: delete substvarsfiles probperly again (broken in 0.53). #17077
  * Added call to dh_movefiles, and a commented out call to dh_testversion,
    to some of the sample rules files. #17076

 -- Joey Hess <joeyh@master.debian.org>  Wed, 14 Jan 1998 12:48:43 -0500

debhelper (0.54) unstable; urgency=low

  * dh_lib: no longer call getopt(1) to parse options. I wrote my own
    argument processor in perl.
  * Added long versions of all arguments. TODO: document them.
  * All parameters may now be passed values that include whitespace (ie,
    dh_installinit -u"defaults 10")
  * Now depends on perl (needs Getopt::Long).

 -- Joey Hess <joeyh@master.debian.org>  Sat, 10 Jan 1998 15:44:09 -0500

debhelper (0.53) unstable; urgency=low

  * dh_installmanpages: ignore all man pages installed into debian/tmp
    type directories. (#16933)
  * dh_*: set up alternative name for files like debian/dirs; you may now
    use debian/<mainpackage>.dirs too, for consistency. (#16934)
  * dh_installdocs: if a debian/package.copyright file exists, use it in
    preference to debian/copyright, so subpackages with varying copyrights
    are supported. (#16935)
  * Added dh_movefiles, which moves files out of debian/tmp into subpackages.
    (#16932)

 -- Joey Hess <joeyh@master.debian.org>  Sat, 10 Jan 1998 11:30:12 -0500

debhelper (0.52) unstable; urgency=low

  * dh_compress: compress file belongs in debian/. It was looking in ./
    This has been broken since version 0.30.

 -- Joey Hess <joeyh@master.debian.org>  Tue,  6 Jan 1998 14:08:31 -0500

debhelper (0.51) unstable; urgency=low

  * dh_fixperms: make shared libraries non-executable, in accordance with
    policy. (#16644)
  * dh_makeshlibs: introduced a -V flag, which allows you to specify explicit
    version requirements in the shlibs file.
  * dh_{installdirs,installdocs,installexamples,suidregister,undocumented}:
    Added a -A flag, which makes any files/directories specified on the
    command line apply to ALL packages acted on.
  * Updated Standards-Version to latest.

 -- Joey Hess <joeyh@master.debian.org>  Mon,  5 Jan 1998 16:15:01 -0500

debhelper (0.50) unstable; urgency=low

  * dh_makeshlibs: added -m parameter, which can force the major number
    of the shared library if it is guessed incorrectly.
  * Added dh_testversion to let your package depend on a certian version of
    debhelper to build.
  * dh_{installdirs,installdocs,installexamples,suidregieter,undocumented}:
    behavior modification - any files/directories specified on the command
    line now apply to the first package acted on. This may not be the
    first package listed in debian/control, if you use -p to make it act on
    a given package, or -i or -a.
  * If you take advantage of the above new behavior, I suggest you add
    "dh_testversion 0.50" to your debian/rules.
  * Display a warning message in cases where the above behavior is triggered,
    and debhelper's behavior has altered.
  * I have grepped debian's source packages, and I'm quite sure this
    is not going to affect any packages currently in debian.
  * dh_lib: isnative() now caches its return value, which should optimize
    away several more calls to dpkg-parsechangelog.
  * README: explain a way to embed debhelper generated shell script into a
    perl script.
  * dh_installinit: A hack to work around the problem in getopt(1) that
    led to bug report #16229: Any text specified on the command line that is
    not a flag will be presumed to be part of the -u flag. Yuck.

 -- Joey Hess <joeyh@master.debian.org>  Sat,  3 Jan 1998 14:36:15 -0500

debhelper (0.37) unstable; urgency=low

  * dh_du: Fixed hardcoded debian/tmp.
  * This change got lost by accident, redid it: Optimized out most of the
    slowdown caused by using dpkg-parsechangelog - now it's only called by
    2 dh_* programs.

 -- Joey Hess <joeyh@master.debian.org>  Sun, 28 Dec 1997 20:45:22 -0500

debhelper (0.36) unstable; urgency=low

  * dh_undocumented: exit with an error message if the man page specified
    does not have a section.

 -- Joey Hess <joeyh@master.debian.org>  Sat, 27 Dec 1997 14:14:04 -0500

debhelper (0.35) unstable; urgency=low

  * dh_lib: use dpkg-parsechangelog instead of parsing it by hand. This
    makes a package build slower (by about 30 seconds, on average), so
    I might remove it or optimize it if too many people yell at me. :-)
  * dh_undocumented.1: note that it really links to undocumented.7.gz.

 -- Joey Hess <joeyh@master.debian.org>  Mon, 22 Dec 1997 22:19:39 -0500

debhelper (0.34) unstable; urgency=low

  * Fixed typo #16215.

 -- Joey Hess <joeyh@master.debian.org>  Mon, 22 Dec 1997 14:41:46 -0500

debhelper (0.33) unstable; urgency=low

  * examples/*: use prefix, instead of PREFIX, becuase autoconf uses that.
    Also, use `pwd`/debian/tmp, instead of debian/tmp.
  * Always substitute #DEBHELPER# in maintainer scripts, even if it expands
    to nothing, for neatness and to save a few bytes. #15863
  * dh_clean: added -k parameter to not delete debian/files. #15789
  * examples/*: use dh_clean -k in the binary targets of all rules files,
    for safety.

 -- Joey Hess <joeyh@master.debian.org>  Thu, 11 Dec 1997 19:05:41 -0500

debhelper (0.32) unstable; urgency=low

  * Split dh_installdebfiles into 3 programs (dh_installdeb, dh_shlibdeps,
    and dh_gencontrol). dh_installdebfiles still works, but is depricated.
  * Added an examples/rules.indep file.
  * examples/rules.multi: changed dh_du -a to dh_du -i in binary-indep
    section.

 -- Joey Hess <joeyh@master.debian.org>  Wed, 10 Dec 1997 19:53:13 -0500

debhelper (0.31) unstable; urgency=low

  * Fixed man page typos #15685.

 -- Joey Hess <joeyh@master.debian.org>  Sat,  6 Dec 1997 21:44:58 -0500

debhelper (0.30) unstable; urgency=low

  * dh_md5sumes, dh_installdirs, dh_compress: fixed assorted cd bugs.

 -- Joey Hess <joeyh@master.debian.org>  Fri,  5 Dec 1997 15:08:36 -0500



=== debian/changelog ===
debhelper (0.55bo1) bo-unstable; urgency=low

  * dh_compress: Applied patch from Yann Dirson <ydirson@a2points.com>,
    to make it not abort of one of the find's fails.

 -- Joey Hess <joeyh@master.debian.org>  Thu, 15 Jan 1998 19:16:48 -0500

=== debian/control ===
Source: debhelper
Section: devel
Priority: optional
Maintainer: Joey Hess <joeyh@master.debian.org>
Standards-Version: 2.3.0.1

Package: debhelper
Architecture: all
Depends: perl, fileutils (>= 3.16-4)
Description: helper programs for debian/rules
 A collection of programs that can be used in a debian/rules file to
 automate common tasks. Programs are included to install various files into
 your package, compress files, fix file permissions, integrate your package
 with the debian menu system, etc.

=== debian/rules ===
#!/usr/bin/make -f
# Note that I have to refer to debhelper programs with ./, to make sure
# I run the most current ones. That's also why there is a symlink to the 
# current dh_lib and the current dh_getopt.pl in this debian/ directory.

# If any automatic script generation is done in building this package, 
# be sure to use the new templates from this package.
export DH_AUTOSCRIPTDIR=autoscripts

# Figure out the current debhelper version.
VERSION=$(shell expr "`dpkg-parsechangelog 2>/dev/null`" : \
	'.*Version: \(.*\).*Distribution:')

export DH_VERBOSE=1

test_files=dh_lib

build:
	./dh_testdir $(test_files)
	sed "s/#DEBHELPER_VERSION#/$(VERSION)/" < dh_testversion.in \
		> dh_testversion
	chmod 755 dh_testversion

clean:
	./dh_testdir $(test_files)
	./dh_testroot
	./dh_clean dh_testversion

# Build architecture-dependent files here.
binary-arch: build
# We have nothing to do by default.

# Build architecture-independent files here.
binary-indep: build
	./dh_testdir $(test_files)
	./dh_testroot
	./dh_clean -k
	./dh_installdirs usr/bin usr/lib/debhelper

	find . -perm +111 -maxdepth 1 -type f -not -name "*.pl" \
		-exec install -p {} debian/tmp/usr/bin \;
	cp -a dh_lib dh_getopt.pl debian/tmp/usr/lib/debhelper
	cp -a autoscripts debian/tmp/usr/lib/debhelper

	./dh_installdocs TODO README
	./dh_installexamples examples/*
	./dh_installmenu
	./dh_installmanpages
	./dh_installchangelogs
	./dh_movefiles
	./dh_compress
	./dh_fixperms
	./dh_suidregister
	./dh_installdeb
	./dh_gencontrol
	./dh_du
	./dh_md5sums
	./dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary

## debhelper 0.79hamm1

=== debian/changelog ===
debhelper (0.79hamm1) frozen; urgency=low

  * Upload to hamm only becuase debhelper has branched for slink.
  * dh_strip: strip .comment and .note, not comment and note, when stripping
    elf binaries. This makes for smaller output files. This has always been
    broken in debhelper before! (#22395)

 -- Joey Hess <joeyh@master.debian.org>  Wed, 13 May 1998 11:59:52 -0700

debhelper (0.79) frozen; urgency=low

  * Reupload to get it into frozen. No changes since version 0.75 
    except bugfixes.

 -- Joey Hess <joeyh@master.debian.org>  Thu,  2 Apr 1998 16:10:55 -0800

debhelper (0.78) frozen unstable; urgency=low

  * More spelling fixes from Christian T. Steigies. (I ignored the spelling
    fixes to the changelog, though - too many, and a changelog isn't meant
    to be changed after the fact :-)
  * dh_fixperms: remove execute bits from .la files genrated by libtool.

 -- Joey Hess <joeyh@master.debian.org>  Mon, 30 Mar 1998 12:44:42 -0800

debhelper (0.77) frozen unstable; urgency=low

  * Fixed a nasty bug in dh_makeshlibs when it was called with -V, but with
    no version string after the -V.

 -- Joey Hess <joeyh@master.debian.org>  Sun, 29 Mar 1998 16:08:27 -0800

debhelper (0.76) frozen unstable; urgency=low

  * I intended version 0.75 to make it in before the freeze, and it did not.
    This is just to get it into frozen. There are no changes except bug
    fixes.

 -- Joey Hess <joeyh@master.debian.org>  Thu, 26 Mar 1998 12:25:47 -0800

debhelper (0.75) unstable; urgency=low

  * Actually exit if there is an unknown option on the command line (oooops!)
  * Fix .so file conversion to actually work (#19933).

 -- Joey Hess <joeyh@master.debian.org>  Thu, 19 Mar 1998 11:54:58 -0800

debhelper (0.74) unstable; urgency=low

  * dh_installmanpages: convert .so links to symlinks at last (#19829).
  * dh_installmanpages.1: documented that no, dh_installmanpages never
    installs symlink man pages from the source package (#19831).
  * dh_installmanpages: minor speedups
  * PROGRAMMING: numerous spelling fixes, thanks to Christian T. Steigies.
    Life is too short for me to spell check my technical documentation, but
    I always welcome corrections!

 -- Joey Hess <joeyh@master.debian.org>  Tue, 17 Mar 1998 22:09:07 -0800

debhelper (0.73) unstable; urgency=low

  * Fixed typo in dh_suidregister.1

 -- Joey Hess <joeyh@master.debian.org>  Thu, 12 Mar 1998 16:30:27 -0800

debhelper (0.72) unstable; urgency=low

  * Applied patch from Yann Dirson <ydirson@a2points.com> to add a
    --init-script parameter to dh_installinit. (#19227)
  * Documented this new switch.

 -- Joey Hess <joeyh@master.debian.org>  Mon,  9 Mar 1998 17:12:04 -0800

debhelper (0.71) unstable; urgency=low

  * dh_makeshlibs: -V flag was broken: if just -V was specified,
    dh_makeshlibs would die. Corrected this.
  * dh_lib: removed warning if the arguments passed to a debhelper command
    do not apply to the main package. It's been long enough so I'm 100% sure
    no packages use the old behavior.

 -- Joey Hess <joeyh@master.debian.org>  Mon,  9 Mar 1998 11:46:59 -0800

debhelper (0.70) unstable; urgency=low

  * dh_lib: autoscript(): no longer add the modification date to the
    comments aurrounding debhelper-added code. I don't think this date was
    gaining us anything, so let's remove it and save some disk space.

 -- Joey Hess <joeyh@master.debian.org>  Sun,  8 Mar 1998 21:15:13 -0800

debhelper (0.69) unstable; urgency=low

  * Refer to suidregister (8), not (1). Bug #19149.
  * Removed junk file from debian/ dir.

 -- Joey Hess <joeyh@master.debian.org>  Sun,  8 Mar 1998 13:04:36 -0800

debhelper (0.68) unstable; urgency=low

  * Document that README.debian files are installed as README.Debian (#19089).

 -- Joey Hess <joeyh@master.debian.org>  Fri,  6 Mar 1998 17:48:32 -0800

debhelper (0.67) unstable; urgency=low

  * Added PROGRAMMING document that describes the interface of dh_lib, to
    aid others in writing and understanding debhelper programs.

 -- Joey Hess <joeyh@master.debian.org>  Fri,  6 Mar 1998 12:45:08 -0800

debhelper (0.66) unstable; urgency=low

  * README, dh_testversion.1, dh_movefiles.1: more doc fixes.
  * dh_movefiles: don't check for package names to see if files are being
    moved from one package back into itself, instead, check tmp dir names.
    If you use this behavior, you should use "dh_testversion 0.66".

 -- Joey Hess <joeyh@master.debian.org>  Mon,  2 Mar 1998 17:50:29 -0800

debhelper (0.65) unstable; urgency=low

  * dh_installdocs.1, dh_movefiles.1: clarified documentation for Che.

 -- Joey Hess <joeyh@master.debian.org>  Mon,  2 Mar 1998 17:20:39 -0800

debhelper (0.64) unstable; urgency=low

  * Removed some junk (a whole old debhelper source tree!) that had gotten
    into the source package by accident.

 -- Joey Hess <joeyh@master.debian.org>  Mon, 23 Feb 1998 20:23:34 -0800

debhelper (0.63) unstable; urgency=low

  * Removed some debugging output from dh_installmanpages.
  * du_du: no longer does anything, becuase it has been decided on
    debian-policy that du control files are bad.
  * examples/*: removed dh_du calls.
  * debian/rules: removed dh_du call.
  * Modified dh_gencontrol, dh_makeshlibs, and dh_md5sums to generate files 
    with the correct permissions even if the umask is set to unusual 
    values. (#18283)

 -- Joey Hess <joeyh@master.debian.org>  Mon, 16 Feb 1998 23:34:36 -0800

debhelper (0.62) unstable; urgency=low

  * dh_installmanpages: if the man page filename ends in 'x', install it in
    /usr/X11R6/man/.
  * TODO: expanded descriptions of stuff, in the hope someone else will get
    inspired to implement some of it.
  *  Also added all wishlist bugs to the TODO.

 -- Joey Hess <joeyh@master.debian.org>  Thu, 12 Feb 1998 22:38:53 -0800

debhelper (0.61) unstable; urgency=low

  * dh_installmanpages: Add / to end of egrep -v regexp, fixes it so
    debian/icewm.1 can be found.



=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: devel
 Priority: optional
 Maintainer: Joey Hess <joeyh@master.debian.org>
-Standards-Version: 2.3.0.1
+Standards-Version: 2.4.0.0
 
 Package: debhelper
 Architecture: all
-Depends: perl, fileutils (>= 3.16-4)
+Depends: perl (>= 5.004), fileutils (>= 3.16-4)
 Description: helper programs for debian/rules
  A collection of programs that can be used in a debian/rules file to
  automate common tasks. Programs are included to install various files into

=== debian/rules ===
--- 
+++ 
@@ -42,7 +42,7 @@
 	cp -a dh_lib dh_getopt.pl debian/tmp/usr/lib/debhelper
 	cp -a autoscripts debian/tmp/usr/lib/debhelper
 
-	./dh_installdocs TODO README
+	./dh_installdocs TODO README PROGRAMMING
 	./dh_installexamples examples/*
 	./dh_installmenu
 	./dh_installmanpages
@@ -53,7 +53,6 @@
 	./dh_suidregister
 	./dh_installdeb
 	./dh_gencontrol
-	./dh_du
 	./dh_md5sums
 	./dh_builddeb

## debhelper 1.1.24

=== debhelper-1.1.14/debian/changelog ===
debhelper (1.1.14) unstable; urgency=low

  * Debhelper now has a web page at http://kitenet.net/programs/debhelper/

  * Added code to debian/rules to update the web page when I release new
    debhelpers.
  * dh_compress: since version 0.88 or so, dh_compress has bombed out if
    a debian/compress file returned an error code. This was actually
    unintentional - in fact, the debian/compress example in the man page
    will fail this way if usr/info or usr/X11R6 is not present. Corrected
    the program to not fail. (#26214)

 -- Joey Hess <joeyh@master.debian.org>  Sun, 30 Aug 1998 22:15:44 -0700

debhelper (1.1.13) unstable; urgency=low

  * dh_installmanpages: rewritten in perl. Allows me to fix bug #26221 (long
    symlink problem after .so conversion), and is about twice as fast.

 -- Joey Hess <joeyh@master.debian.org>  Sat, 29 Aug 1998 22:06:06 -0700

debhelper (1.1.12) unstable; urgency=low

  * dh_installdocs: forgot to pass package name to isnative(). Any native
    debian package that had a debian/TODO would have it installed with the
    wrong name, and debhelper would warn of undefined values for some
    packages. Fixed.

 -- Joey Hess <joeyh@master.debian.org>  Thu, 27 Aug 1998 12:35:42 -0700

debhelper (1.1.11) unstable; urgency=low

  * dh_installchangelogs: added -k flag, that will make it install a symlink
    to the original name of the upstream changelog.

 -- Joey Hess <joeyh@master.debian.org>  Thu, 20 Aug 1998 15:40:40 -0700

debhelper (1.1.10) unstable; urgency=low

  * It's come to my attention that a few packages use filename globbing in
    debian/{docs,examples,whatever} files and expect that to work. It used
    to work before the perl conversion, but it was never _documented_, or
    intented to work. If you use this in your packages, they are broken and
    need fixing (and will refuse to build with current versions of debhelper).
    I apologize for the inconvenience.

  * dh_clean: fixed a bug, intorduced in version 1.1.8, where it didn't
    remove debian/files properly.
  * dh_shlibdeps, dh_testdir, dh_testroot, dh_testversion: converted to perl.
  * Encode the version of debhelper in a sepererate file, so dh_testversion
    doesn't have to be generated when a new version of debhelper is built.
  * Removed bogus menu file.

 -- Joey Hess <joeyh@master.debian.org>  Mon, 17 Aug 1998 14:15:17 -0700

debhelper (1.1.9) unstable; urgency=low

  * dh_fixperms: has been removing the +x bits of all doc/*/examples/* files
    since version 0.97 or so. Fixed.

 -- Joey Hess <joeyh@master.debian.org>  Sun, 16 Aug 1998 17:11:48 -0700

debhelper (1.1.8) unstable; urgency=low

  * Dh_Lib.pm: made U_PARAMS an array of parameters.
  * Dh_Lib.pm: fixed bug in the escaping code, numbers don't need to be
    escaped. Also, no longer escape "-".
  * dh_clean, dh_gencontrol, dh_installcron: converted to perl.
  * dh_gencontrol.1, dh_gencontrol: the man page had said that
    --update-rcd-params was equivilant to -u for this program. You should
    really use --dpkg-gencontrol-params.

 -- Joey Hess <joeyh@master.debian.org>  Fri, 14 Aug 1998 14:07:35 -0700

debhelper (1.1.7) unstable; urgency=low

  * examples/rules.multi: moved dh_movefiles into the install section.
  * doc/README: Added a note explaining why above change was necessary.
  * Dh_Lib.pm: escape_shell(): now escapes the full range of special
    characters recognized by bash (and ksh). Thanks to Branden Robinson
    <branden@purdue.edu> for looking that up.

 -- Joey Hess <joeyh@master.debian.org>  Tue, 11 Aug 1998 23:32:05 -0700

debhelper (1.1.6) unstable; urgency=low

  * dh_movefiles: don't die on symlinks (#25642). (Hope I got the fix right
    this time..)

 -- Joey Hess <joeyh@master.debian.org>  Tue, 11 Aug 1998 20:11:13 -0700

debhelper (1.1.5) unstable; urgency=low

  * dh_builddeb, dh_installchangelogs: converted to perl.
  * dh_installdirs: converted to perl, getting rid of nasty chdir en-route.
  * dh_installdirs: now you can use absolute directory names too if you
    prefer.
  * doc/PROGRAMMING: updated to cover new perl modules.
  * Dh_Lib.pm: doit(): when printing out commands that have run, escape
    metacharacters in the output. I probably don't escape out all the
    characters I should, but this is just a convenience to the user anyway.
  * dh_installdebfiles: it's been broken forever, I fixed it. Obviously
    nobody uses it anymore, which is good, since it's deprected :-)

 -- Joey Hess <joeyh@master.debian.org>  Tue, 11 Aug 1998 15:23:34 -0700

debhelper (1.1.4) unstable; urgency=low

  * dh_movefiles: fixed bug introduced in 1.1.1 where it would fail in some
    cases if you tried to move a broken symlink.
  * dh_installdocs: was only operating on the first package.
  * dh_installexamples: rewritten in perl.
  * Dh_Lib.pm: all multiple package operations were broken.
  * Dh_Lib.pm: implemented complex_doit() and autoscript().
  * Made all perl code work with use strict and -w (well, except
    dh_getopt.pl, but that's a hack that'll go away one day).
  * I didn't realize, but rewriting dh_installdocs in perl fixed bug #24686
    (blank lines in debian/docs file problem), although this same problem 
    applies to other debhelper programs... like dh_installexamples, which had
    the same bug fixed when I rewrote it in perl just now.
  * Dh_Lib.pm: accidentially didn't check DH_VERBOSE if commands were not
    passed any switches.
  * Dh_Getopt.pm: --noscripts was broken.

 -- Joey Hess <joeyh@master.debian.org>  Tue, 11 Aug 1998 12:44:04 -0700

debhelper (1.1.3) unstable; urgency=low

  * dh_md5sums: -x was broken since version 1.1.1 - fixed.
  * dh_lib: removed get_arch_indep_packages() function that hasn't been used
    at all for a long while.
  * Added Dh_Lib.pm, a translation of dh_lib into perl.
  * dh_getopt.pl: moved most of it into new Dh_Getopt.pm module, rewriting
    large chunks in the process.


=== debian/changelog ===
debhelper (1.1.24) unstable; urgency=low

  * dh_suidregister: remove suid/sgid bits from all files registered. The
    reason is this: if you're using suidmanager, and you want a file that
    ships suid to never be suid on your system, shipping it suid in the .deb
    will create a window where it is suid before suidmanager fixes it's
    permissions. This change should be transparent to users and developers.

 -- Joey Hess <joeyh@master.debian.org>  Tue, 27 Oct 1998 18:19:48 -0800

debhelper (1.1.23) unstable; urgency=low

  * dh_clean: At the suggestion of James Troup <james@nocrew.org> now deletes
    files named *.P in .deps/ subdirectories. They are generated by automake.

 -- Joey Hess <joeyh@master.debian.org>  Sat, 24 Oct 1998 15:14:53 -0700

debhelper (1.1.22) unstable; urgency=low

  * dh_fixperms: quoting fix from Roderick Schertler <roderick@argon.org>
  * Added support for register-window-manager command which will be in a new
    (as yet unreleased) xbase. Now a new dh_installwm program handles
    registration of a window manager and the necessary modifications to
    postinst and postrm. It's safe to go ahead and start using this for your
    window manager packages, just note that it won't do anything until the new
    xbase is out, and that due to the design of register-window-manager, if
    your wm is installed before a xbase that supports register-window-manager
    is installed, the window manager will never be registered. (#20971)

 -- Joey Hess <joeyh@master.debian.org>  Wed, 14 Oct 1998 23:08:04 -0700

debhelper (1.1.21) unstable; urgency=low

  * Added install to .PHONY target of example rules files.

 -- Joey Hess <joeyh@master.debian.org>  Sun, 11 Oct 1998 22:36:10 -0700

debhelper (1.1.20) unstable; urgency=low

  * Added a --same-arch flag, that is useful in the rare case when you have
    a package that builds only for 1 architecture, as part of a multi-part,
    multi-architecture source package. (Ie, netscape-dmotif).
  * Modified dh_installinit -r so it does start the daemon on the initial
    install (#26680).

 -- Joey Hess <joeyh@master.debian.org>  Fri,  2 Oct 1998 15:55:13 -0700

debhelper (1.1.19) unstable; urgency=low

  * dh_installmanpages: look at basename of man pacges specified on command
    line to skip, for backwards compatability. 

 -- Joey Hess <joeyh@master.debian.org>  Thu, 10 Sep 1998 11:31:42 -0700

debhelper (1.1.18) unstable; urgency=low

  * dh_installemacsen: substitute package name for #PACKAGE# when setting
    up postinst and prerm (#26560).

 -- Joey Hess <joeyh@master.debian.org>  Tue,  8 Sep 1998 14:24:30 -0700

debhelper (1.1.17) unstable; urgency=low

  * dh_strip: on Richard Braakman's advice, strip the .comment and .note
    sections of shared libraries.
  * Added DH_OPTIONS environment variable - anything in it will be treated
    as additional command line arguments by all debhelper commands. This in
    useful in some situations, for example, if you need to pass -p to all
    debhelper commands that will be run. If you use DH_OPTIONS, be sure to
    use dh_testversion 1.1.17 - older debhelpers will ignore it and do
    things you don't want them to.
  * Made -N properly exclude packages when no -i, -a, or -p flags are
    present. It didn't before, which was a bug.

 -- Joey Hess <joeyh@master.debian.org>  Mon,  7 Sep 1998 17:33:19 -0700

debhelper (1.1.16) unstable; urgency=low

  * dh_fixperms: remove execute bits from static libraries as well as 
    shared libraries. (#26414)

 -- Joey Hess <joeyh@master.debian.org>  Fri,  4 Sep 1998 14:46:37 -0700

debhelper (1.1.15) unstable; urgency=medium

  * dh_installmanpages: the new perl version had a nasty habit of 
    installing .so.x library files as man pages. Fixed.
  * dh_installmanpages: the code to exclude searching for man pages in
    debian/tmp directories was broken. Fixed.

 -- Joey Hess <joeyh@master.debian.org>  Mon, 31 Aug 1998 00:05:17 -0700

=== debhelper-1.1.14/debian/control ===
Source: debhelper
Section: devel
Priority: optional
Maintainer: Joey Hess <joeyh@master.debian.org>
Standards-Version: 2.4.1.3

Package: debhelper
Architecture: all
Depends: perl (>= 5.004), fileutils (>= 3.16-4), file
Description: helper programs for debian/rules
 A collection of programs that can be used in a debian/rules file to
 automate common tasks related to building binary debian packages. Programs
 are included to install various files into your package, compress files, fix
 file permissions, integrate your package with the debian menu system, etc.

=== debian/control ===
Source: debhelper
Section: devel
Priority: optional
Maintainer: Joey Hess <joeyh@master.debian.org>
Standards-Version: 2.4.1.4

Package: debhelper
Architecture: all
Depends: perl (>= 5.004), fileutils (>= 3.16-4), file
Description: helper programs for debian/rules
 A collection of programs that can be used in a debian/rules file to
 automate common tasks related to building binary debian packages. Programs
 are included to install various files into your package, compress files, fix
 file permissions, integrate your package with the debian menu system, etc.

=== debhelper-1.1.14/debian/rules ===
#!/usr/bin/make -f
# Note that I have to refer to debhelper programs with ./, to make sure
# I run the most current ones. That's also why there is a symlink to the 
# current dh_lib and the current dh_getopt.pl in this debian/ directory.

# If any automatic script generation is done in building this package, 
# be sure to use the new templates from this package.
export DH_AUTOSCRIPTDIR=autoscripts

# Figure out the current debhelper version.
VERSION=$(shell expr "`dpkg-parsechangelog 2>/dev/null |grep Version:`" : '.*Version: \(.*\)')

export DH_VERBOSE=1

build:
# Nothing to do.

clean:
	./dh_testdir
	./dh_testroot
	./dh_clean

# Build architecture-dependent files here.
binary-arch: build
# Nothing to do.

# Build architecture-independent files here.
binary-indep: build
	./dh_testdir
	./dh_testroot
	./dh_clean -k
	./dh_installdirs usr/bin usr/lib/debhelper

	echo -e "package Dh_Version;\n\$$version='$(VERSION)';" > debian/tmp/usr/lib/debhelper/Dh_Version.pm
	find . -perm +111 -maxdepth 1 -type f -not -name "*.pl" \
		-exec install -p {} debian/tmp/usr/bin \;
	cp -a dh_lib dh_getopt.pl *.pm debian/tmp/usr/lib/debhelper
	cp -a autoscripts debian/tmp/usr/lib/debhelper

	./dh_installdocs doc/TODO doc/README doc/PROGRAMMING doc/from-debstd
	./dh_installexamples examples/*
	./dh_installmenu
	./dh_installmanpages
	./dh_installchangelogs
	./dh_movefiles
	./dh_compress
	./dh_fixperms
	./dh_suidregister
	./dh_installdeb
	./dh_gencontrol
	./dh_md5sums
	./dh_builddeb

# Install in the proper location on my ftp server and web server. Not intended
# for use by anyone except the author.
OLD_VER=$(shell perl -e '<>;<>;while(<>){last if /^ --/};<>;$$_=<>;print m/\((.*?)\)/'<debian/changelog)
localdist:
	dpkg-buildpackage -rfakeroot -tc
	if [ `hostname` = 'kite' ] ; then \
		cp ../debhelper_$(VERSION).tar.gz ../../public; \
		rm /home/ftp/pub/code/debhelper/* || true; \
		cp debian/changelog /home/pub/programs/debhelper/CHANGES; \
		echo $(VERSION) > /home/pub/programs/debhelper/LATEST-VERSION-IS; \
		cd ..; rm -rf debhelper-$(OLD_VER); \
		[ -f ../public/debhelper_$(OLD_VER).tar.gz ] && \
		tar zxf ../public/debhelper_$(OLD_VER).tar.gz || \
		tar zxf ../outdated/debhelper_$(OLD_VER).tar.gz; \
		diff -r -u --new-file debhelper-$(OLD_VER) debhelper-$(VERSION) > \
			/home/ftp/pub/code/debhelper/diffs/debhelper-$(VERSION).diff; \
		gzip -9f /home/ftp/pub/code/debhelper/diffs/debhelper-$(VERSION).diff; \
		cd /tmp; rm -f debhelper-$(OLD-VER); \
        fi

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary localdist

=== debian/rules ===
#!/usr/bin/make -f
# Note that I have to refer to debhelper programs with ./, to make sure
# I run the most current ones. That's also why there is a symlink to the 
# current dh_lib and the current dh_getopt.pl in this debian/ directory.

# If any automatic script generation is done in building this package, 
# be sure to use the new templates from this package.
export DH_AUTOSCRIPTDIR=autoscripts

# Figure out the current debhelper version.
VERSION=$(shell expr "`dpkg-parsechangelog 2>/dev/null |grep Version:`" : '.*Version: \(.*\)')

export DH_VERBOSE=1

build:
# Nothing to do.

clean:
	./dh_testdir
	./dh_testroot
	./dh_clean

# Build architecture-dependent files here.
binary-arch: build
# Nothing to do.

# Build architecture-independent files here.
binary-indep: build
	./dh_testdir
	./dh_testroot
	./dh_clean -k
	./dh_installdirs usr/bin usr/lib/debhelper

	echo -e "package Dh_Version;\n\$$version='$(VERSION)';" > debian/tmp/usr/lib/debhelper/Dh_Version.pm
	find . -perm +111 -maxdepth 1 -type f -not -name "*.pl" \
		-exec install -p {} debian/tmp/usr/bin \;
	cp -a dh_lib dh_getopt.pl *.pm debian/tmp/usr/lib/debhelper
	cp -a autoscripts debian/tmp/usr/lib/debhelper

	./dh_installdocs doc/TODO doc/README doc/PROGRAMMING doc/from-debstd
	./dh_installexamples examples/*
	./dh_installmenu
	./dh_installmanpages
	./dh_installchangelogs
	./dh_movefiles
	./dh_compress
	./dh_fixperms
	./dh_suidregister
	./dh_installdeb
	./dh_gencontrol
	./dh_md5sums
	./dh_builddeb

# Install in the proper location on my ftp server and web server. Not intended
# for use by anyone except the author.
OLD_VER=$(shell perl -e '<>;<>;while(<>){last if /^ --/};<>;$$_=<>;print m/\((.*?)\)/'<debian/changelog)
dist:
	dpkg-buildpackage -rfakeroot -tc
	if [ `hostname` = 'kite' ] ; then \
		cp ../debhelper_$(VERSION).tar.gz ../../public; \
		rm /home/ftp/pub/code/debhelper/* || true; \
		cp debian/changelog /home/pub/programs/debhelper/CHANGES; \
		echo $(VERSION) > /home/pub/programs/debhelper/LATEST-VERSION-IS; \
		cd ..; rm -rf debhelper-$(OLD_VER); \
		[ -f ../public/debhelper_$(OLD_VER).tar.gz ] && \
		tar zxf ../public/debhelper_$(OLD_VER).tar.gz || \
		tar zxf ../outdated/debhelper_$(OLD_VER).tar.gz; \
		diff -r -u --new-file debhelper-$(OLD_VER) debhelper-$(VERSION) > \
			/home/ftp/pub/code/debhelper/diffs/debhelper-$(VERSION).diff; \
		gzip -9f /home/ftp/pub/code/debhelper/diffs/debhelper-$(VERSION).diff; \
		cd /tmp; rm -f debhelper-$(OLD-VER); \
        fi

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary localdist

## debhelper 2.0.86

=== debian/changelog ===
debhelper (2.0.86) unstable; urgency=low

  * dh_testroot: don't call init(), so it may be run even if it's not in the
    right place. Closes: #55065

 -- Joey Hess <joeyh@debian.org>  Thu, 13 Jan 2000 21:40:21 -0800

debhelper (2.0.85) unstable; urgency=low

  * Downgraded fileutils dependancy just a bit for the Hurd foks. 
    Closes: #54620

 -- Joey Hess <joeyh@debian.org>  Mon, 10 Jan 2000 16:41:29 -0800

debhelper (2.0.84) unstable; urgency=low

  * Make all examples rules files executable.
  * Copyright date updates.

 -- Joey Hess <joeyh@debian.org>  Thu,  6 Jan 2000 15:10:55 -0800

debhelper (2.0.83) unstable; urgency=low

  * Depend on the current unstable fileutils, because I have to use chown
    --no-dereference. I'm not sure when it started working, but it didn't work
    in slink.

 -- Joey Hess <joeyh@debian.org>  Wed,  5 Jan 2000 14:22:26 -0800

debhelper (2.0.82) unstable; urgency=low

  * Added dh_installmime calls to examples, Closes: #54056

 -- Joey Hess <joeyh@debian.org>  Tue,  4 Jan 2000 09:35:19 -0800

debhelper (2.0.81) unstable; urgency=low

  * dh_installxaw: Patch from Josip Rodin to update to fhs paths, 
    Closes: #53029

 -- Joey Hess <joeyh@debian.org>  Mon, 20 Dec 1999 12:21:34 -0800

debhelper (2.0.80) unstable; urgency=low

  * Type fix, Closes: #52652

 -- Joey Hess <joeyh@debian.org>  Mon, 13 Dec 1999 13:47:48 -0800

debhelper (2.0.79) unstable; urgency=low

  * Corrected mispellings, Closes: #52013

 -- Joey Hess <joeyh@debian.org>  Mon,  6 Dec 1999 13:46:18 -0800

debhelper (2.0.78) unstable; urgency=low

  * dh_fixperms: chown symlinks as well as normal files. Closes: #51169.

 -- Joey Hess <joeyh@debian.org>  Wed,  1 Dec 1999 13:34:06 -0800

debhelper (2.0.77) unstable; urgency=low

  * dh_suidregister: Fixed a rather esoteric bug: If a file had multiple
    hard links, and was suid, suidregister detected all the hard links as
    files that need to be registered. It looped, registering the first
    link, and then removing its suid bit. This messed up the registration
    of the other had links, since their permissions were now changed,
    leading to unpredictable results. The fix is to just not remove suid
    bits until all files have been registered. 

 -- Joey Hess <joeyh@debian.org>  Tue, 30 Nov 1999 00:26:42 -0800

debhelper (2.0.76) unstable; urgency=low

  * dh_installmanpages:
    - Added support for translated man pages, with a patch from Kis Gergely
      <kisg@lme.linux.hu>. Closes: #51268 
    - Fixed the undefined value problem in Kis's patch. 
    - This also Closes: #37092 come to think of it. 
  * dh_shlibdeps, dh_shlibdeps.1:
    - Added -X option, which makes it not examine some files. This is
      useful in rare cases. Closes: #51100 
    - Always pass "-dDepends" before the list of files, which makes it
      easier to specify other -d parameters in the uparams, and doesn't
      otherwise change the result at all. 
  * doc/TODO:
     - dh_installdebfiles is no longer a part of debhelper. This affects
      exactly one package in unstable, biss-awt, which has had a bug filed
      against it for 200+ days now asking that it stop using the program.
      dh_installdebfiles has been depreacted for nearly 2 years now.. 
  * This changelog was automatically generated from CVS commit information.
    Fear makechangelog.

 -- Joey Hess <joeyh@debian.org>  Sun, 28 Nov 1999 21:59:00 -0800

debhelper (2.0.75) unstable; urgency=low

  * Fixed typo in dh_installmenu.1, Closes: #51332

 -- Joey Hess <joeyh@debian.org>  Sat, 27 Nov 1999 20:40:15 -0800

debhelper (2.0.74) unstable; urgency=low

  * dh_suidregister: Die with understandable error message if asked to
    act on files that don't exist.
  * dh_installchangelogs: to comply with policy, if it's told to act on a
    html changelog, it installs it as changelog.html.gz and dumps a plain
    text version to changelog.gz. The dumping is done with lynx. 
    (Closes: #51099)
  * Dh_Getopt.pm: Modified it so any options specified after -- are added to
    U_PARAMS. This means that instead of passing '-u"something nasty"' to
    dh_gencontrol and the like, you can pass '-- something nasty' without
    fiddling to get the quoting right, etc.

 -- Joey Hess <joeyh@debian.org>  Tue, 23 Nov 1999 11:36:15 -0800

debhelper (2.0.73) unstable; urgency=low

  * Actually, debhelper build-depends on perl-5.005.

 -- Joey Hess <joeyh@debian.org>  Mon, 22 Nov 1999 21:43:55 -0800

debhelper (2.0.72) unstable; urgency=low

  * Corrected slash substitution problem in dh_installwm.

 -- Joey Hess <joeyh@debian.org>  Mon, 22 Nov 1999 21:43:47 -0800

debhelper (2.0.71) unstable; urgency=low

  * Oh, the build dependancies include all of debhelper's regular
    dependancies as well, since it builds using itself.

 -- Joey Hess <joeyh@debian.org>  Fri,  5 Nov 1999 14:14:26 -0800

debhelper (2.0.70) unstable; urgency=low

  * Added build dependancies to this package. That was easy; it just uses
    perl5 for regression testing, the rest of its build-deps are things
    in base.
  * dh_version.1: Added note that this program is quickly becoming obsolete.
  * doc/README, doc/from-debstd: Added reminders that if you use debhelper,
    you need to add debhelper to your Build-Depends line.

 -- Joey Hess <joeyh@debian.org>  Thu,  4 Nov 1999 21:24:37 -0800

debhelper (2.0.69) unstable; urgency=low

  * dh_shlibdeps: added -l option, which lets you specify a path that
    LD_LIBRARY_PATH is then set to when dpkg-shlibdeps is run. This
    should make it easier for library packages that also build binary
    packages to be built with correct dependancies. Closes: #36751
  * In honor of Burn all GIFs Day (hi Don!), I added alternative
    image formats .png, .jpg (and .jpeg) to the list of extensions dh_compress
    does not compress. Closes: #41733
  * Also, made all extensions dh_compress skips be looked at case
    insensitively.
  * dh_movefiles: force owner and group of installed files to be root.


=== debian/control ===
Source: debhelper
Section: devel
Priority: optional
Maintainer: Joey Hess <joeyh@debian.org>
Build-Depends-Indep: perl-5.005, fileutils (>= 4.0-2.1), file (>= 3.23-1)
Standards-Version: 3.1.1.1

Package: debhelper
Architecture: all
Depends: perl5 | perl (>= 5.004), fileutils (>= 4.0-2.1), file (>= 3.23-1)
Suggests: dh-make, lynx
Description: helper programs for debian/rules
 A collection of programs that can be used in a debian/rules file to
 automate common tasks related to building binary debian packages. Programs
 are included to install various files into your package, compress files, fix
 file permissions, integrate your package with the debian menu system,
 suidmanager, doc-base, etc.

=== debian/rules ===
#!/usr/bin/make -f
# Note that I have to refer to debhelper programs with ./, to make sure
# I run the most current ones. That's also why there is a symlink to the 
# current Dh_lib.pm and the current Dh_getopt.pm in this debian/ directory.
#
# This is _not_ a good example of a debhelper rules file, but I didn't need
# to tell you that; just see the 25 lines of inlined perl below.. See
# examples/ for some good examples.

# If any automatic script generation is done in building this package, 
# be sure to use the new templates from this package.
export DH_AUTOSCRIPTDIR=autoscripts

# Living dangerously :-)
export DH_COMPAT=2

# Figure out the current debhelper version.
VERSION=$(shell expr "`dpkg-parsechangelog 2>/dev/null |grep Version:`" : '.*Version: \(.*\)')

export DH_VERBOSE=1

build: link-stamp test
# Nothing to do.	

clean: link-stamp
	./dh_testdir
	./dh_testroot
	./dh_clean link-stamp

test: link-stamp
	./dh_clean
	DH_VERSION=10 perl -MTest::Harness -e 'runtests grep { ! /CVS/ } @ARGV' t/*
	./dh_clean

# Build architecture-dependent files here.
binary-arch: link-stamp build
# Nothing to do.

# Build architecture-independent files here.
binary-indep: link-stamp build
	./dh_testdir
	./dh_testroot
	./dh_clean -k
	./dh_installdirs usr/bin usr/share/debhelper

	echo -e "package Dh_Version;\n\$$version='$(VERSION)';" > debian/debhelper/usr/share/debhelper/Dh_Version.pm
	find . -perm +111 -maxdepth 1 -type f -not -name "*.pl" \
		-exec install -p {} debian/debhelper/usr/bin \;
	cp -a Dh_*.pm debian/debhelper/usr/share/debhelper
	cp -a autoscripts debian/debhelper/usr/share/debhelper
	rm -rf debian/debhelper/usr/share/debhelper/autoscripts/CVS

	./dh_installdocs `find doc -type f | grep -v CVS`
	./dh_installexamples `find examples -type f | grep -v CVS`
	./dh_installmenu
	./dh_installmanpages
	./dh_installinfo
	# Fix up all man pages, filling in the modification time for them.
	# Note this runs beofre the command below so debhelper.1 gets the right
	# date on it.
	perl -mPOSIX -e ' \
		foreach $$f (@ARGV) { \
		@data=stat($$f); \
		$$date=POSIX::strftime("%d %B %Y",localtime($$data[9])); \
		open (IN,$$f); \
		@lines=<IN>; \
		close IN; \
		$$lines[0]=~s/1 ""/1 "$$date"/; \
		open (OUT,">$$f"); \
		print OUT @lines; \
		close OUT; \
	}' debian/debhelper/usr/share/man/man1/*.1
	# Fix up the debhelper.1 man page, substituting in a list of all
	# debhelper commands. eek!
	perl -ne ' \
		s/\\- /(1)\n/; \
		$$collect.=".TP\n.BR $$_" if $$. eq 3 && /^dh_/; \
		close(ARGV) if eof; \
		END { \
			open(I,"debian/debhelper/usr/share/man/man1/debhelper.1"); \
			@lines=<I>; \
			close I; \
			open(O,">debian/debhelper/usr/share/man/man1/debhelper.1"); \
			foreach (@lines) { \
				s/#LIST#/$$collect/; \
				print O; \
			} \
			close O; \
		}' *.1
	./dh_installchangelogs
#	./dh_movefiles
	./dh_link
	./dh_compress
	./dh_fixperms
	./dh_suidregister
	./dh_installdeb
	./dh_gencontrol
	./dh_md5sums
	./dh_builddeb

# Fix links when checking out of cvs by calling this target.
link-stamp:
	sh -e debian/fixlinks
	touch link-stamp

# Update the debhelper web page. Not intended for use by anyone except the
# author.
installhook:
	cp debian/changelog /home/pub/programs/debhelper/CHANGES
	echo $(VERSION) > /home/pub/programs/debhelper/LATEST-VERSION-IS

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary dist
